# SPDX-License-Identifier: AGPL-3.0-or-later
#
# Copyright (C) 2019 Olliver Schinagl <oliver@schinagl.nl>

ARG ALPINE_VERSION="latest"
ARG TARGET_ARCH="library"

FROM registry.hub.docker.com/${TARGET_ARCH}/alpine:${ALPINE_VERSION}

LABEL Maintainer="Olliver Schinagl <oliver@schinagl.nl>"

RUN \
    apk add --no-cache \
        alpine-sdk \
    && \
    rm -rf "/var/cache/apk/"* && \
    adduser root abuild && \
    adduser -D -G abuild buildbot && \
    chgrp abuild "/etc/apk/keys/" && \
    chmod g+w "/etc/apk/keys"

COPY "./bin/package_builder-alpine.sh" "/usr/local/bin/package_builder-alpine.sh"
COPY "./dockerfiles/buildenv_check.sh" "/test/buildenv_check.sh"
COPY "./dockerfiles/docker-entrypoint.sh" "/init"

ENTRYPOINT [ "/init" ]
